高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Instance Methods | Class Methods | Properties | List of all members
AMapNaviManagerConfig Class Reference

`#include <AMapNaviManagerConfig.h>`

Inheritance diagram for AMapNaviManagerConfig:

## Instance Methods
(void) | - updatePrivacyShow:privacyInfo:
| 更新App是否显示隐私弹窗的状态，隐私弹窗是否包含高德SDK隐私协议内容的状态，注意：必须在导航任何一个manager实例化之前调用. since 8.1.0 Update the status of whether the app displays a privacy popup and whether the privacy popup includes the content of the Amap SDK privacy agreement. Note: This must be called before initializing any manager instance in navigation.
(void) | - updatePrivacyAgree:
| 更新用户授权高德SDK隐私协议状态，注意：必须在导航任何一个manager实例化之前调用. since 8.1.0 Update the user authorization status for the AutoNavi SDK privacy agreement. Note: This must be called before initializing any manager instance in navigation
(void) | - setViaPointEtaDisplayEnable:
| 设置途径点私有实例接口,外部禁止调用. since 7.9.0 Set private instance interface for waypoints, external calls are prohibited.
(BOOL) | - isShowViaEta

## Class Methods
(instancetype) | + sharedConfig
| AMapNaviManagerConfig单例. since 8.0.1 AMapNaviManagerConfig singleton.

## Properties
BOOL | customviewShowViaEtaEnable
BOOL | cmaltimeterEnable
| 设置是否使用CMAltimeter相关接口， 如果配置使用则需要设置NSMotionUsageDescription you must include the NSMotionUsageDescription key in your app’s Info.plist https://developer.apple.com/documentation/coremotion/cmaltimeter 需要在使用 AMapNaviDriveManager 相关接口前设置 生效
BOOL | showViaEta
float | speechRate
| 内置语音播报速度，默认值为AVSpeechUtteranceDefaultSpeechRate， 注意该值需要在AVSpeechUtteranceMinimumSpeechRate 和 AVSpeechUtteranceMaximumSpeechRate之间

## Method Documentation

## ◆ isShowViaEta

- (BOOL) isShowViaEta |  |  |

Provided by category AMapNaviManagerConfig(Private).

## ◆ setViaPointEtaDisplayEnable:

- (void) setViaPointEtaDisplayEnable: |  | (BOOL) | isEnable |

设置途径点私有实例接口,外部禁止调用. since 7.9.0 Set private instance interface for waypoints, external calls are prohibited.

Provided by category AMapNaviManagerConfig(Private).

## ◆ sharedConfig

+ (instancetype) sharedConfig |  |  |

AMapNaviManagerConfig单例. since 8.0.1 AMapNaviManagerConfig singleton.

Returns
  AMapNaviManagerConfig实例 AMapNaviManagerConfig instance

## ◆ updatePrivacyAgree:

- (void) updatePrivacyAgree: |  | (AMapPrivacyAgreeStatus) | agreeStatus |

更新用户授权高德SDK隐私协议状态，注意：必须在导航任何一个manager实例化之前调用. since 8.1.0 Update the user authorization status for the AutoNavi SDK privacy agreement. Note: This must be called before initializing any manager instance in navigation

Parameters

  agreeStatus | 用户授权高德SDK隐私协议状态 User authorization status for the AutoNavi SDK privacy agreement

## ◆ updatePrivacyShow:privacyInfo:

- (void) updatePrivacyShow: |  | (AMapPrivacyShowStatus) | showStatus
privacyInfo: |  | (AMapPrivacyInfoStatus) | containStatus

更新App是否显示隐私弹窗的状态，隐私弹窗是否包含高德SDK隐私协议内容的状态，注意：必须在导航任何一个manager实例化之前调用. since 8.1.0 Update the status of whether the app displays a privacy popup and whether the privacy popup includes the content of the Amap SDK privacy agreement. Note: This must be called before initializing any manager instance in navigation.

Parameters

  showStatus | 隐私弹窗状态 Privacy popup status
  containStatus | 包含高德SDK隐私协议状态 Includes AMap SDK privacy agreement status

## Property Documentation

## ◆ cmaltimeterEnable

- (BOOL) cmaltimeterEnable
| read write nonatomic assign

设置是否使用CMAltimeter相关接口， 如果配置使用则需要设置NSMotionUsageDescription you must include the NSMotionUsageDescription key in your app’s Info.plist https://developer.apple.com/documentation/coremotion/cmaltimeter 需要在使用 AMapNaviDriveManager 相关接口前设置 生效

默认关闭

## ◆ customviewShowViaEtaEnable

- (BOOL) customviewShowViaEtaEnable
| read write nonatomic assign

## ◆ showViaEta

- (BOOL) showViaEta
| read write nonatomic assign

在导航视图底部区域显示到达最近途经点的ETA信息，默认为NO

Since
  10.0.923

## ◆ speechRate

- (float) speechRate
| read write nonatomic assign

内置语音播报速度，默认值为AVSpeechUtteranceDefaultSpeechRate， 注意该值需要在AVSpeechUtteranceMinimumSpeechRate 和 AVSpeechUtteranceMaximumSpeechRate之间

Since
  10.0.923

The documentation for this class was generated from the following file:

- AMapNaviManagerConfig.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。